Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTableUI.MouseInputHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicTableUI.MouseInputHandler

public class BasicTableUI.MouseInputHandler
extends java.lang.Object
implements MouseInputListener

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTableUI.

Constructor Summary
`BasicTableUI.MouseInputHandler()`

Method Summary
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTableUI.MouseInputHandler

    public BasicTableUI.MouseInputHandler()

Method Detail

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.